package sgc.portal.ll.ll0101.web;

import java.util.List;
import java.util.Map;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ll.ll0101.dto.LL01010001USearch;
import sgc.portal.ll.ll0101.model.LL01010001U;
import sgc.portal.ll.ll0101.service.LL01010001UService;

@RestController
@RequestMapping("/ll/ll0101")
public class LL01010001UController {

	private final LL01010001UService service;
	
	public LL01010001UController(LL01010001UService service) {
		this.service = service;
	}
	
	/**
	 * Lessons Learned 조회
	 * @param search
	 * @return
	 */
    @PostMapping("/LL01010001U/list")	
    public List<EasyHashMap<String, Object>> selectLlInfoList(@RequestBody LL01010001USearch search) {
        return service.selectLlInfoList(search);
    }

    @PostMapping("/LL01010001U/save")
    public Map<String, String> save(@RequestBody List<LL01010001U> LL01010001U) {
    	return service.save(LL01010001U);
    }

    @PostMapping("/LL01010001U/getAuthData")
    public List<EasyHashMap<String, Object>> getAuthData(@RequestBody LL01010001USearch search) {
        return service.getAuthData(search);
    }
	
}
